#include "challenge.h"

/****************************************/
/****************************************/

CChallenge::CChallenge() {
}

/****************************************/
/****************************************/

CChallenge::~CChallenge() {
   /* Nothing to do */
}

/****************************************/
/****************************************/

CColor CChallenge::GetFloorColor(const CVector2& c_position_on_plane) {
   /* Check if the given point is within the construction area */
   if(Distance(c_position_on_plane, CVector2(1,0)) < .5 ||
      Distance(c_position_on_plane, CVector2(5,0)) < .5) {
      /* Yes, it is - return black */
      return CColor::BLACK;
   }
   /* No, it isn't - return light gray */
   return CColor::GRAY90;
}

/****************************************/
/****************************************/

/* Register this loop functions into the ARGoS plugin system */
REGISTER_LOOP_FUNCTIONS(CChallenge, "challenge");
