#ifndef CHALLENGE_H
#define CHALLENGE_H

#include <argos3/core/simulator/loop_functions.h>
#include <argos3/plugins/robots/foot-bot/simulator/footbot_entity.h>
#include <fstream>

using namespace argos;

class CChallenge : public CLoopFunctions {

public:

   /**
    * Class constructor
    */
   CChallenge();

   /** 
    * Class destructor
    */
   virtual ~CChallenge();

   /**
    * Returns the color of the floor at the specified point on.
    * @param c_position_on_plane The position at which you want to get the color.
    * @see CColor
    */
   virtual CColor GetFloorColor(const CVector2& c_position_on_plane);

};

#endif
